## org.eclipse.emf.ecore.resource
Class URIConverter.ReadableInputStream.Buffer

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              org.eclipse.emf.ecore.resource.URIConverter.ReadableInputStream.Buffer

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Enclosing class:
  URIConverter.ReadableInputStream

    protected class URIConverter.ReadableInputStream.Buffer

extends java.io.ByteArrayOutputStream

Field Summary
`protected char[]` `characters`
`protected int` `index`
`protected java.io.OutputStreamWriter` `writer`

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Constructor Summary
`URIConverter.ReadableInputStream.Buffer(int size)`

Method Summary
`int` `read()`

Methods inherited from class java.io.ByteArrayOutputStream
`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### index

    protected int index

### characters

    protected char[] characters

### writer

    protected java.io.OutputStreamWriter writer

Constructor Detail

### URIConverter.ReadableInputStream.Buffer

    public URIConverter.ReadableInputStream.Buffer(int size)
                                            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.